package com.cim.idm.wmspackage.storage.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import lombok.Data;

public class StorageHistory extends FieldAccessor implements HistoryDataInfo<StorageHistoryKey> {

	private StorageHistoryKey key;
	
	private String resourceState;
	private String useState;
	private String storageHoldState;
	private String packingGroupName;
	
	
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;
	private String packingName;
	@Override
	public StorageHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(StorageHistoryKey keyInfo) {
		this.key = keyInfo;
	}
	public String getPackingName() {
		return packingName;
	}

	public void setPackingName(String packingName) {
		this.packingName = packingName;
	}
	public String getResourceState() {
		return resourceState;
	}

	public void setResourceState(String resourceState) {
		this.resourceState = resourceState;
	}

	public String getUseState() {
		return useState;
	}

	public void setUseState(String useState) {
		this.useState = useState;
	}

	public String getStorageHoldState() {
		return storageHoldState;
	}

	public void setStorageHoldState(String storageHoldState) {
		this.storageHoldState = storageHoldState;
	}

	public String getPackingGroupName() {
		return packingGroupName;
	}

	public void setPackingGroupName(String packingGroupName) {
		this.packingGroupName = packingGroupName;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

}
